API リファレンス
POST /lists/materialize
estimate を明示的な credit cap 付きで saved List に変える endpoint です。
このページの内容10項目
POST /api/signal-foundry/lists/materialize は、保存前の estimate を saved List に変換します。credit-consuming write なので、execute: true、maxCredits、Idempotency-Key を付けます。
契約サマリー
| Field | Value |
|---|---|
| Method | POST |
| Path | /api/signal-foundry/lists/materialize |
| Auth | production は API key 必須 |
| Usage | request usage に count |
| Credit | saved row の Basic credit |
| CLI | sf list materialize --from-estimate <estimateId> --execute --max-credits <n> --json |
リクエスト
Headers
| Header | Required | Notes |
|---|---|---|
Authorization | yes | Bearer <SIGNAL_FOUNDRY_API_KEY> |
Content-Type | yes | application/json |
Idempotency-Key | yes | retry 時の二重消費を避ける |
リクエストボディ
{
"estimateId": "est_123",
"name": "売上100億以上の上場企業",
"execute": true,
"maxCredits": 42
}
例
curl -s "$SIGNAL_FOUNDRY_BASE_URL/api/signal-foundry/lists/materialize" \
-H "Authorization: Bearer <SIGNAL_FOUNDRY_API_KEY>" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: list-materialize-20260501-001" \
--data '{
"estimateId": "est_123",
"name": "売上100億以上の上場企業",
"execute": true,
"maxCredits": 42
}'
CLI equivalent:
sf list materialize --from-estimate est_123 --name "売上100億以上の上場企業" --execute --max-credits 42 --json
レスポンス
中心フィールド
list.list_idlist.row_countbilling.credits_usedbilling.max_creditsinput.estimate_ididempotency_key
例
{
"list": {
"list_id": "00000000-0000-4000-8000-000000000000",
"name": "売上100億以上の上場企業",
"row_count": 42
},
"billing": {
"credits_used": 42,
"max_credits": 42
},
"input": {
"estimate_id": "est_123"
},
"idempotency_key": "list-materialize-20260501-001"
}
エラー
| Code | HTTP | 復旧方法 |
|---|---|---|
estimate_not_found | 404 | estimate からやり直す |
max_credits_required | 400 | maxCredits を付ける |
max_credits_exceeded | 402 | estimate response の credit 以上を指定するか query を狭める |
credit_balance_insufficient | 402 | GET /credits/balance を確認 |
次に進む
追加情報を足す場合は Lists Enrichments に進みます。CSV が必要なら Lists Export を使います。